.visualization {
    padding: 50px 0;
    color: $white;
    display: flex;
    flex-direction: column;

    &__wrap {
        margin: auto 0;
    }

    &--start {
        background: #282c30 url('../images/visualization__bg_01.webp') 50% 50% no-repeat;
        background-size: cover;
    }

    &--finish {
        padding: 90px 0;
        background: #bba483 url('../images/visualization__bg_02.webp') 50% 50% no-repeat;
        background-size: cover;
    }

    &__header {
        text-align: center;
        font-weight: 800;
        margin-bottom: 50px;
        font-size: size-rel(32px);
        line-height: size-rel(40px);
    }

    &__button {
        max-width: 360px;
        margin: 0 auto;

        &--md {
            display: none;
        }

        &--sm {
            padding-top: 50px;
        }

        .btn {
            width: 100%;
        }
    }

    &__media {
        max-width: 400px;
        margin: 0 auto;
    }

    @include media-breakpoint-up(md) {
        height: 400px;

        &--finish {
            padding: 50px 0;
        }

        &__row {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__content {
            min-height: 1px;
            flex-grow: 1;
        }

        &__header {
            text-align: left;
            margin-bottom: 20px;
            font-size: size-rel(42px);
            line-height: size-rel(48px);
        }

        &__button {
            margin: 0;
            width: auto;

            &--sm {
                display: none;
            }

            &--md {
                display: block;
            }

            .btn {
                width: 220px;
            }
        }

        &__media {
            max-width: inherit;
            width: 400px;
            flex-shrink: 0;

            &--image {
                margin-right: -50px;
            }
        }
    }


    @include media-breakpoint-up(lg) {
        height: 500px;

        &__header {
            font-size: 56px;
            line-height: 64px;
        }

        &__media {
            width: 520px;
        }
    }

    @include media-breakpoint-up(xl) {
        height: 569px;

        &__header {
            font-size: 72px;
            line-height: 76px;
            margin-bottom: 40px;
        }

        &__media {
            width: 620px;

            &--image {
                margin-right: -157px;
            }
        }
    }

    @include media-breakpoint-up(xxl) {}
}
